Package org.drinkless.tdlib

# Class TdApi.ChatEventAccentColorChanged

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEventAction
org.drinkless.tdlib.TdApi.ChatEventAccentColorChanged

Enclosing class:
  `TdApi`

public static class TdApi.ChatEventAccentColorChanged extends TdApi.ChatEventAction
The chat accent color or background custom emoji were changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatEventAction

  `TdApi.ChatEventAction.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `newAccentColorId`
  New identifier of chat accent color.
  `long`
  `newBackgroundCustomEmojiId`
  New identifier of the custom emoji; 0 if none.
  `int`
  `oldAccentColorId`
  Previous identifier of chat accent color.
  `long`
  `oldBackgroundCustomEmojiId`
  Previous identifier of the custom emoji; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEventAccentColorChanged()`
  The chat accent color or background custom emoji were changed.
  `ChatEventAccentColorChanged(int oldAccentColorId, long oldBackgroundCustomEmojiId, int newAccentColorId, long newBackgroundCustomEmojiId)`
  The chat accent color or background custom emoji were changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oldAccentColorId

    public int oldAccentColorId
    Previous identifier of chat accent color.

  - ### oldBackgroundCustomEmojiId

    public long oldBackgroundCustomEmojiId
    Previous identifier of the custom emoji; 0 if none.

  - ### newAccentColorId

    public int newAccentColorId
    New identifier of chat accent color.

  - ### newBackgroundCustomEmojiId

    public long newBackgroundCustomEmojiId
    New identifier of the custom emoji; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatEventAccentColorChanged

    public ChatEventAccentColorChanged()
    The chat accent color or background custom emoji were changed.

  - ### ChatEventAccentColorChanged

    public ChatEventAccentColorChanged(int oldAccentColorId, long oldBackgroundCustomEmojiId, int newAccentColorId, long newBackgroundCustomEmojiId)
    The chat accent color or background custom emoji were changed.
    Parameters:
      `oldAccentColorId` - Previous identifier of chat accent color.
      `oldBackgroundCustomEmojiId` - Previous identifier of the custom emoji; 0 if none.
      `newAccentColorId` - New identifier of chat accent color.
      `newBackgroundCustomEmojiId` - New identifier of the custom emoji; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatEventAction`
    Returns:
      this.CONSTRUCTOR